import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/deposit/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/deposit/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/deposit/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/deposit/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/deposit/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/deposit/delete/" + id);
}

function checked(id) {
  return request.post(constant.serverUrl + "/base/deposit/checked/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/deposit/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,checked
}